package annotation

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var RestHandlerAnnotationType = reflect.TypeOf((*RestHandlerAnnotation)(nil))

func init() {
	if err := annotation.Register(RestHandlerAnnotationType); nil != err {
		panic(err)
	}
}

type RestHandlerAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@web:RestHandler"`

	Entry string `json:"entry"`
}
