package annotation

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var DaoAnnotationType = reflect.TypeOf((*DaoAnnotation)(nil))

func init() {
	if err := annotation.Register(DaoAnnotationType); nil != err {
		panic(err)
	}
}

type DaoAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@web:Dao"`

	Name string `json:"name"`
}
